<?php
/**
 * 404 page.
 *
 * @package Heartify
 * @author ThemeSquared
 * @link http://themesquared.com/hertify/
 */

get_header(); 

//Translation Theme Options
$spyropress_translate['404-title'] = get_setting( 'translate' ) ?  get_setting( 'error-404-title', 'Ooops... Error 404' ) : esc_html__( 'Ooops... Error 404', 'heartify' );
$spyropress_translate['404-subtitle'] = get_setting('translate') ?  get_setting( 'error-404-subtitle', 'We`re sorry, but the page you are looking for doesn`t exist.' ) : esc_html__( 'We`re sorry, but the page you are looking for doesn`t exist.', 'heartify' );
$spyropress_translate['404-text'] = get_setting('translate') ?  get_setting( 'error-404-text', 'Please check entered address and try again or' ) : esc_html__( 'Please check entered address and try again or', 'heartify' );
$spyropress_translate['404-btn'] = get_setting('translate') ?  get_setting( 'error-404-btn', 'go to homepage' ) : esc_html__( 'go to homepage', 'heartify' );
?>

    <div id="post-0" class="container marginTop">
        
        <!-- 404 page -->
		<div class="error text-center col-md-12">
			<h1 class="entry-title"><?php echo esc_html( $spyropress_translate['404-title'] ); ?></h1>
			<h4><?php echo esc_html( $spyropress_translate['404-subtitle'] ); ?></h4>
			<div class="entry-content">
                <p><span class="check"><?php echo esc_html( $spyropress_translate['404-text'] ); ?></span> <a href="<?php echo esc_url( site_url() ); ?>"><?php echo esc_html( $spyropress_translate['404-btn'] ); ?> <span>&rarr;</span></a></p>
            </div>
		</div>
        
    </div>
<?php get_footer();