<?php

/**
 * SpyroPress Dashboard
 *
 * Dashboard contains Latest News, Theme Info, Lates Tweets, etc.
 *
 */

global $spyropress;
?>

<div class="wrap spyropress-wrap">
	
    <?php get_spyropress_badge(); ?>
    <h1><?php echo $spyropress->theme_name.' '.esc_html__( 'Dashboard', 'heartify' ); ?></h1>
    <div class="teaser-text">
		<?php _e( 'Thank you for using ThemeSquared. ThemeSquared will improve your overall web publishing experience.', 'heartify' ); ?>
	</div>
	<div class="clear"></div>
	<div id="dashboard-widgets" class="metabox-holder columns-2">
		<div id="postbox-container-1" class="postbox-container">
			<div id="dashboard_theme_info" class="postbox">
				<h3 class="hndle">
                    <?php _e( 'Theme Info', 'heartify'); ?>
				</h3>
				<div class="inside">
					<ul>
						<li>
							<?php _e( 'Framework Version:', 'heartify'); ?>
							<strong>
								<?php echo spyropress_get_version(); ?>
							</strong>
						</li>
                        <li>
							<?php _e( 'Product Version:', 'heartify'); ?>
							<strong>
								<?php echo $spyropress->theme_version; ?>
							</strong>
						</li>
						<li>
							<?php _e( 'Product Support:', 'heartify'); ?>
							<?php get_support_forum_link(); ?>
						</li>
					</ul>
					<br class="clear"/>
				</div>
			</div>
		</div>
		<div id="postbox-container-2" class="postbox-container">
			<div id="dashboard_spyropress_changelog" class="postbox">
				<h3 class="hndle">
					<?php _e( 'Theme Changelog', 'heartify'); ?>
				</h3>
				<div class="inside">
				    <br class="clear"/><p><b>Initial Version 1.0.1</b></br>
                                &nbsp;&nbsp;&nbsp;<b>Bug Removed</b>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (We have removed all notified issues and make it compatible with latest version of WordPress )<br/>
						<br class="clear"/><p><b>Initial Version 1.0.0</b></br>
                                &nbsp;&nbsp;&nbsp;<b>Theme Released</b>
				</p><br class="clear"/>
				</div>
			</div>
		</div>
		<div class="clear">
		</div>
	</div>
</div>