<?php
global $wp_query;
echo '<div class="row re-posts">';
    
    //Popular view.
    if( $pop_posts ){
        $the_querya = new WP_Query( array (
            'post_type'=>'post',
            'meta_key' => '_post_lik_count',
            'orderby'=> 'meta_value_num',
            'posts_per_page'=> $pop_posts_limit
        ) );
        
        if($the_querya->have_posts()  ){
            
            echo '<div class="col-md-4">';
                if( $pop_posts_title ) echo '<h4>'. $pop_posts_title .'</h4>';
                
                while ( $the_querya->have_posts() ) {
            	   $the_querya->the_post();
                   echo '<div class="info-col">';
                            get_image( array( 'class' => 'pull-left clearfix img-responsive', 'width' => 77, 'height' => 93, 'crop' => true, 'responsive' => true ) );
   			          echo  '<h6><a href="'. get_permalink() .'">'. get_the_title() .'</a></h6>';
            			echo spyropress_get_excerpt( array( 'length' => 10 , 'link_to_post' => '' ) );
                        printf('<ul class="list-inline list-unstyled post-nav">
                                    <li class="post-links"><a href="%1$s"><i class="icon-user"></i> %2$s</a></li>
                                    <li class="post-links"><a href=""><i class="icon-calendar"></i> %3$s</a></li>
                                </ul>',esc_url(  get_author_posts_url( get_the_author_meta( 'ID' ) ) ), esc_html( get_the_author() ), get_the_date( 'd M Y' )
                        ); 
				    echo '</div><hr>';
                }
                
             echo '</div>';   
            
            wp_reset_postdata(); 
        }
        
    }
    
    //Archives View.
    if( !empty( $archives )){
        $args = array(
        	'type'            => 'monthly',
        	'limit'           => $archives_limit,
        	'format'          => 'html', 
        	'show_post_count' => false,
        	'echo'            => 1,
        	'order'           => 'DESC'
        );
        if($archives_title) echo '<h4>'. $archives_title .'</h4>';
        
        echo '<ul class="list-arrow-circle">';
            echo wp_get_archives( $args );
        echo '</ul><br>';
     }
 
    //Recent Posts View. 
    if( !empty( $rec_post ) ){
        $args = array(
            'posts_per_page' => $rec_post_limit,
            'orderby' => 'post_date',
            'order' => 'DESC',
            'post_type' => 'post',
            'post_status' => 'publish',
         );
    
        $my_query =  new wp_query( $args );
        if( $my_query->have_posts() ){
            
            echo '<div class="col-md-4">';
                if($rec_post_title) echo '<h4>'. $rec_post_title .'</h4>';
            
             
                 while( $my_query->have_posts() ) {
                    $my_query->the_post();
                        echo '<div class="info-col">';
                            get_image( array( 'class' => 'pull-left clearfix img-responsive', 'width' => 77, 'height' => 93, 'crop' => true, 'responsive' => true ) );
                            echo  '<h6><a href="'. get_permalink() .'">'. get_the_title() .'</a></h6>';
                  			echo spyropress_get_excerpt( array( 'length' => 10 , 'link_to_post' => '' ) );
                            printf('<ul class="list-inline list-unstyled post-nav">
                                        <li class="post-links"><a href="%1$s"><i class="icon-user"></i> %2$s</a></li>
                                        <li class="post-links"><a href=""><i class="icon-calendar"></i> %3$s</a></li>
                                    </ul>',esc_url(  get_author_posts_url( get_the_author_meta( 'ID' ) ) ), esc_html( get_the_author() ), get_the_date( 'd M Y' ) 
                            ); 
                        echo '</div><hr>';         
                 } 
                 
             echo '</div>';    
             wp_reset_postdata(); 
        }
       
    }
    
    //Recent Comments View. 
    if( !empty( $rec_comments ) ){
        
        
        $args = array(
            'status' => 'approve', 
            'number'=> $rec_comments_limit , 
            'post_status' => 'publish'
        );
        
        $comments = get_comments( $args );
        
        global $authordata;
        echo '<div class="col-md-4">';
                if( $rec_comments_title ) echo '<h4>'. $rec_comments_title .'</h4>';
                
                foreach ( $comments as $comment) {
                    $author_url = get_author_posts_url( $authordata->ID, $authordata->user_nicename );
                
                    echo '<div class="info-col">';
                            $avatar = get_avatar( $comment, 82 );
                            echo str_replace( 'photo', 'photo pull-left clearfix img-responsive', $avatar );
                            echo  '<h6><a href="'. get_permalink() .'">'. get_the_title( $comment->comment_post_ID ) .'</a></h6>';
                            echo '<p>'. esc_html( $comment->comment_content ) .'</p>';
                            printf('<ul class="list-inline list-unstyled post-nav">
                                        <li class="post-links"><a href="%1$s"><i class="icon-user"></i> %2$s</a></li>
                                        <li class="post-links"><a href=""><i class="icon-calendar"></i> %3$s</a></li>
                                    </ul>',esc_url( $author_url ), esc_html( $comment->comment_author ) , esc_html( $comment->comment_date )
                            ); 
                    echo '</div><hr>';  
                    
                }
        
        echo '</div>';
     
     } 
    
echo '</div>';