<?php 
$spyropress_style = '';
if( $spyropress_value = get_setting_array( 'post_header_bg' ) ) :
    $style = '';
        if( $spyropress_value ) {
            $spyropress_img = '';
            $spyropress_bg = array();
    
            if ( isset( $spyropress_value['background-color'] ) )
                $spyropress_bg[] = $spyropress_value['background-color'];
    
            if ( isset( $spyropress_value['background-pattern'] ) )
                $spyropress_img = $spyropress_value['background-pattern'];
            elseif ( isset( $spyropress_value['background-image'] ) )
                $spyropress_img = $spyropress_value['background-image'];
            if ( $spyropress_img )
                $spyropress_bg[] = 'url(\'' . $spyropress_img . '\')';
                
            if ( isset( $spyropress_value['background-repeat'] ) )
                $spyropress_bg[] = $spyropress_value['background-repeat'];
    
            if ( isset( $spyropress_value['background-attachment'] ) )
                $spyropress_bg[] = $spyropress_value['background-attachment'];
    
            if ( isset( $spyropress_value['background-position'] ) )
                $spyropress_bg[] = $spyropress_value['background-position'];
            
            $spyropress_style .= ( !empty( $spyropress_bg ) ) ? ' background: ' . join( ' ', $spyropress_bg ) . ';' : '';
        }
        
        
        $spyropress_style .= 'height: 180px; overflow :hidden; background-size:auto 100%;';
        
        if( !empty( $spyropress_style ) )
            $spyropress_style = 'style="' . $spyropress_style . '"';
endif;
?>
<div id="home" class="header-dark">
    <div id="bg-slider-home" <?php echo $spyropress_style; ?> ></div>
    <!--  Background Slider Main ENds -->
    <div class="container" style="position: absolute;top: 0px;left: 0px;right: 0px;">
    	<div class="row">
    		<div class="col-xs-12 col-sm-12 col-md-10 col-md-offset-1 col-lg-10 col-lg-offset-1" id="blog-content">
                <div class="logo-header">
                    <?php spyropress_logo(array('tag'=> 'div' , 'container_class' => 'logo hidden-sm hidden-md hidden-lg' )); ?>
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#top-header">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        </button>
                    </div>
                </div>
    			
    			<div id="top-header" class="top-header">
    				<div class="top-navigation">
                        <?php
                            //Get Page Meta Data
                            $spyropress_page_options = get_post_meta( get_the_ID(), '_page_options', true );
                            if( isset( $spyropress_page_options['onepage_menu'] ) ):
                                $spyropress_menu = wp_nav_menu( array(
                                    'container' => false,
                                    'menu_class' => 'top-nav list-unstyled list-inline',
                                    'menu_id' => '',
                                    'menu' => $spyropress_page_options['onepage_menu'],
                                    'echo' => false,
                                    'walker' => new Bootstrapwp_Walker_Nav_Menu_Second
                                ) );
                            else:
                                $spyropress_args = array(
                                    'container' => false, 	
                                    'menu_class' => 'top-nav list-unstyled list-inline',
                                    'menu_id' => '',
                                    'walker' => new Bootstrapwp_Walker_Nav_Menu_Second,
                                    'echo' => false,
                                );
                                
                                $spyropress_menu = spyropress_get_nav_menu( $spyropress_args  , 'primary' );
                            
                            endif;
                            
                            $spyropress_url = ( is_front_page() ) ? '#' : esc_url( home_url('/#') );
                            echo str_replace( '#HOME_URL#', $spyropress_url, $spyropress_menu );
                        ?>
    				<!-- top navigation div -->
    			    </div>
    			<!-- top header div -->
    		    </div>
    		<!-- Column Count div -->
    	    </div>
         </div>
     </div>
</div>
