 ;(function($) {
    "use strict";
    
    // JavaScript Document    
    $(document).ready(function() {
        
        /*----------------------------------------------------*/
    	/*	Background Video.
    	/*----------------------------------------------------*/  
        var path = $('.video_section').data('video-path');
        $('.video_section').vide(path);
     
        /*----------------------------------------------------*/
    	/*	Carousel
    	/*----------------------------------------------------*/  
        $("#bg-slider").owlCarousel({
            slideSpeed : 300,
            autoPlay : true,
            pagination : false,
            singleItem:true
        });
        $(".main-header").sticky({ topSpacing: 0 });  
        $( '.services2-info:even' ).css( 'background', '#0eb2e7' );
        $( '.services2-info:odd' ).css( 'background', '#0da6d9' );

        $("#cap-slider").owlCarousel({
            slideSpeed : 400,
            singleItem:true,
            autoPlay : true,
            pagination : false
        });

        $("#time-plan").owlCarousel({
            slideSpeed : 400,
            singleItem:true,
            autoPlay : false,
            pagination : false,
            navigation : true,
            navigationText:["<",">"]
         })


        $("#tweet-slider").owlCarousel({
            slideSpeed : 400,
            singleItem:true,
            autoPlay : true,
            pagination : false
        });
        
        $("#owl-clients").owlCarousel({
 			autoPlay: 3000, //Set AutoPlay to 3 seconds
 			items : 4,
		   itemsDesktop : [1199,4],
		   itemsDesktopSmall : [979,4],
		   navigation : false,
		   pagination : true
 		});
        
        /* One Page Scrolling */
    	$('.main-nav').onePageNav({
    		currentClass: 'active',
    		filter: ':not(.external)',
    		scrollOffset: 40
    	});
        
        /*----------------------------------------------------*/
    	/*	parralax 
    	/*----------------------------------------------------*/ 
        $.stellar({
			horizontalScrolling: false,
			verticalOffset: 40
		}); 

        /*----------------------------------------------------*/
    	/*	top scroller 
    	/*----------------------------------------------------*/  
        $('.bttop').on( "click", function() {
    		$('html, body').animate({scrollTop:0}, 'slow');
    	});
        
        /*----------------------------------------------------*/
    	/*	Post Like 
    	/*----------------------------------------------------*/ 
        $( 'a.like-info' ).on( "click", function() {
           
            var $this = $(this),
                post_id = $this.data( 'post_id' ),
                val = $this.text();
    		
    		  $.ajax({
    			type: "post",
                url: theme_settings.ajax_url,
                dataType: 'json',
    			data: {
    			     action: "spyropress_post_like",  
                     post_id: post_id,   
                },
                beforeSend: function() {
                    $this.text( '...' );
                },
                success: function(res) { 
                    $this.text( res + ' Likes' );
                }
    		});
            
            return false;
        });
        
        /*----------------------------------------------------*/
    	/*	Google map  
    	/*----------------------------------------------------*/ 
        $('#map').each(function(e){  
            var $this = $(this),
                $parent = $this.parents('.container');
            
            $parent.before($this);
        });
        
        /*----------------------------------------------------*/
    	/*	Skills 
    	/*----------------------------------------------------*/
        var index=0;
        $(document).scroll(function(){
        	var top = $('.skills').height()-$(window).scrollTop();
        	if(top<-300){
        		if(index==0){	
        			
        			$('.chart').easyPieChart({
        				easing: 'easeOutBounce',
        				onStep: function(from, to, percent) {
        					$(this.el).find('.percent').text(Math.round(percent));
        				}
        			});
        			
        		}
        		index++;
        	}
        })
    });

    /*----------------------------------------------------*/
	/*	Isotope Plugin
	/*----------------------------------------------------*/
    $( function() {
      // init Isotope
      var $container = $('#container').isotope({
                itemSelector: '.item',
                layoutMode: 'fitRows'
          });
      
      // bind filter button click
      $('#filters').on( 'click', 'a', function() {
        var filterValue = $( this ).attr('data-filter');
        // use filterFn if matches value
        filterValue = filterFns[ filterValue ] || filterValue;
        $container.isotope({ filter: filterValue });
      });
      // change is-checked class on buttons
      $('#filters a').on( "click", function() {
            $('#filters .current').removeClass('current');
            $(this).addClass('current');
     
            var selector = $(this).attr('data-filter');
            $container.isotope({
                filter: selector,
                animationOptions: {
                    duration: 750,
                    easing: 'linear',
                    queue: false
                }
             });
             return false;
        }); 
      
    });
    
 
    $(window).load(function() {
        $(".main-header").sticky({ topSpacing: 0 });  
        $('.sticky-header').on('sticky-start', function() { $('.sticky-wrapper').css('height', 'auto'); });
    }); 

    jQuery(function($) {

        $('.navbar .dropdown').hover(function() {
            $(this).find('.dropdown-menu').first().stop(true, true).delay(250).slideDown();
        }, function() {
            $(this).find('.dropdown-menu').first().stop(true, true).delay(100).slideUp();
        });

        $('.navbar .dropdown > a[href]').click(function() {
            location.href = this.href;
        });
    });

})(jQuery);