<?php
/*
 * Core Spyropress header template
 *
 * Customise this in your child theme by:
 * - Using hooks and your own functions
 * - Using the 'header-content' template part
 * - For example 'header-content-category.php' for category view or 'header-content.php' (fallback if location specific file not available)
 * - Copying this file to your child theme and customising - it will over-ride this file
 *
 * @package Spyropress
 */
?>
<!DOCTYPE html>
<!--[if IE 8]>			<html class="ie ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9]>			<html class="ie ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!-->	<html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php spyropress_wrapper(); ?>
    <?php spyropress_before_header(); ?>
    <!-- header -->
     <?php
        spyropress_before_header_content();
	       //Get header version value from URL / PAGE OPTION / THEME OPTION.
            $spyropress_options = get_post_meta( get_the_ID(), '_page_options', true );
            $spyropress_version = '';
            if( isset( $_GET['header'] ) ){
                $spyropress_version = $_GET['header'];
            }elseif( isset( $spyropress_options['header_style'] ) ){
                $spyropress_version = $spyropress_options['header_style'];
            }else{
                $spyropress_version = get_setting( 'header_style', 'v5' );  
            }  
             
            //Get the header content.
            get_template_part( 'templates/header/header', esc_html( $spyropress_version ) );
        spyropress_after_header_content();
     ?>
     <!-- /header -->
    <?php spyropress_after_header(); ?>