<?php
/**
 * demo data.
 *
 * config.
 */
  
add_filter('ef3-theme-options-opt-name', 'heartify_set_demo_opt_name');

function heartify_set_demo_opt_name(){
    return 'spyropress_theme_settings';
}

add_filter('ef3-replace-content', 'heartify_replace_content', 10 , 2);

function heartify_replace_content($replaces, $attachment){
    return array(
        //'/image="(.+?)"/' => 'image="'.$attachment.'"',
        '/tax_query:/' => 'remove_query:',
        '/categories:/' => 'remove_query:',
        //'/src="(.+?)"/' => 'src="'.ef3_import_export()->acess_url.'ef3-placeholder-image.jpg"'
    );
}
 
add_filter('ef3-enable-create-demo', 'heartify_enable_create_demo');

function heartify_enable_create_demo(){
    return false;
}

function heartify_update_theme_option($request,$folder){
    global $spyropress;
    $option_file =      trailingslashit($folder).'option.php';
    if( !$option_file || !file_exists( $option_file ) ) return;
    @include_once( $option_file );
	$data = unserialize(base64_decode($dummy_data));

    //theme_settings
    $key = 'spyropress_theme_settings';
	update_option( $key, $data );
    heartify_crop_images();
}

function heartify_import_layer_slider($request,$folder){
    $layer_slider_file =   trailingslashit($folder).'layer-slider.zip'; 
    if(!class_exists('LS_ImportUtil'))
        include ABSPATH .'wp-content/plugins/LayerSlider/classes/class.ls.importutil.php';
   
    $_POST['import_images'] = true;
    
    $import = new LS_ImportUtil($layer_slider_file,'');
}

add_action('ef3-import-finish', 'heartify_import_layer_slider',9,2);
add_action('ef3-import-finish', 'heartify_update_theme_option',99,2);

function heartify_crop_images() {
    global $import_result;

    /**
     * Crop image
     */
    $query = array(
        'post_type'      => 'attachment',
        'posts_per_page' => -1,
        'post_status'    => 'inherit',
    );

    $media = new WP_Query($query);
    if ($media->have_posts()) {
        foreach ($media->posts as $image) {
            if (strpos($image->post_mime_type, 'image/') !== false) {
                $image_path = get_attached_file($image->ID);
                $metadata = wp_generate_attachment_metadata($image->ID, $image_path);
                wp_update_attachment_metadata($image->ID, $metadata);
            }
        }
    }
}

 
 
        