<?php
/**
 * Default Blog Template
 *
 * @package Heartify
 * @author ThemeSquared
 * @link http://themesquared.com/hertify/
 */

  get_header( 'blog' ); 
    spyropress_before_main_container();
    get_template_part( 'templates/blog', 'top' );//blog page header.
    $spyropress_position = get_setting( 'blog_sidebar_position', 'right' );//getting sidebar postion value.
?>
    <div class="blog-content">
        <div class="container">
            
            <?php if( 'left' == $spyropress_position ) { ?>
                <!-- sidebar postion left-->
                <?php if( is_active_sidebar( 'primary' ) ): ?>
	                <aside class="col-md-3">
	                    <?php dynamic_sidebar( 'primary' ); ?>
	                </aside>
               <?php endif; ?>
            <?php } ?>
            
            <!-- Blog Content -->
            <div class="col-md-9">
                <?php   
                     if ( have_posts() ): 
                        spyropress_before_loop();
                        while( have_posts() ):
                            
                            the_post();
                            spyropress_before_post();
                                get_template_part( 'templates/formats/content',get_post_format()); 
                            spyropress_after_post();
                        
                        endwhile;
                        spyropress_after_loop();
                        
                        //pagination
                        wp_pagenavi( array( 'before' => '<div class="page-nav">', 'after' => '</div>' ) );
                         
                
                    else:
                        echo '<h5>'. esc_html__( 'Sorry, no posts matched your criteria.', 'heartify' ) .'</h5>';
                    endif;       
                ?>
            </div>
            
            <?php if( 'right' == $spyropress_position ) { ?>
                <!-- sidebar postion right-->
                <?php if( is_active_sidebar( 'primary' ) ): ?>
    	           <aside class="col-md-3">
    	              <?php dynamic_sidebar( 'primary' ); ?>
    	           </aside>
                <?php endif; ?>
            <?php } ?>
            
        </div>
    </div>

<?php 
    spyropress_after_main_container(); 
 get_footer(); 