<?php
/**
 * Blog Search Template
 *
 * @package Heartify
 * @author ThemeSquared
 * @link http://themesquared.com/hertify/
 */

    
  //Translation Theme Option      
  $spyropress_translate['search-title'] = get_setting( 'translate' ) ? wp_kses( get_setting( 'search-title', 'Search results: <span>%s</span>' ), array( 'span' => array() ) ) : wp_kses( __( 'Search results: <span>%s</span>', 'heartify' ), array( 'span' => array() ) );
  
  get_header( 'blog' ); 
    
  spyropress_before_main_container();
  $spyropress_position = get_setting( 'blog_sidebar_position', 'right' );//getting sidebar postion value.
?>
    <div class="page-head">
    	<div class="container">
    		<div class="col-md-9">
    			<h4><?php printf( wp_kses( $spyropress_translate['search-title'], array( 'span' => array( ) ) ), get_search_query() ); ?></h4>
    		</div>
    		<div class="col-md-3">
    			<?php get_template_part( 'templates/searchform' ); ?>
    		</div>
    	</div>
    </div>
    <div class="blog-content">
        <div class="container">
            
            <?php if( 'left' == $spyropress_position ) { ?>
                <?php if( is_active_sidebar( 'primary' ) ): ?>
	                <aside class="col-md-3">
	                    <?php dynamic_sidebar( 'primary' ); ?>
	                </aside>
               <?php endif; ?>
            <?php } ?>
            
            <!-- Blog Content -->
            <div class="col-md-9">
                <?php   
                    if ( have_posts() ): 
                        spyropress_before_loop();
                        while( have_posts() ):
                            
                            the_post();
                            spyropress_before_post();
                                get_template_part( 'templates/formats/content',get_post_format()); 
                            spyropress_after_post();
                        
                        endwhile;
                        spyropress_after_loop();
                        
                        //pagination
                        wp_pagenavi( array( 'before' => '<div class="page-nav">', 'after' => '</div>' ) );
                
                    else:
                        echo '<h5>'. esc_html__( 'Sorry, no posts matched your criteria.', 'heartify' ) .'</h5>';
                    endif;        
                ?>
            </div>
            
            <?php if( 'right' == $spyropress_position ) { ?>
                <!-- sidebar postion right-->
                <?php if( is_active_sidebar( 'primary' ) ): ?>
	                <aside class="col-md-3">
	                    <?php dynamic_sidebar( 'primary' ); ?>
	                </aside>
               <?php endif; ?>
            <?php } ?>
            
        </div>
    </div>

<?php 
    spyropress_after_main_container(); 
 get_footer(); 