<?php
/**
 * Default Blog Single Template
 *
 * @package Heartify
 * @author ThemeSquared
 * @link http://themesquared.com/hertify/
 */


  get_header( 'blog' ); 
  
    spyropress_before_main_container();
    get_template_part( 'templates/blog-single', 'top' );//blog page header.
    $spyropress_position = get_setting( 'blog_single_sidebar_position', 'right' );//getting sidebar postion value.
?>
    <div class="blog-content">
        <div class="container">
           <div class="row"> 
            <?php if( 'left' == $spyropress_position ) { ?>
                <!-- sidebar postion left-->
                   <?php if( is_active_sidebar( 'primary' ) ): ?>
    	                <aside class="col-md-3">
    	                    <?php dynamic_sidebar( 'primary' ); ?>
    	                </aside>
                   <?php endif; ?>
            <?php } ?>
            
            <!-- Blog Content -->
            <div class="col-md-9">
                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                <?php   
                    if ( have_posts() ): 
            
                        while( have_posts() ):
                            
                            the_post();
                            spyropress_before_post();
                            
                                //galler attacments.
                                $spyropress_attachments = get_children( array(
                                    'post_parent'       => get_the_ID(),
                                    'post_status'       => 'inherit',
                                    'post_type'         => 'attachment',
                                    'post_mime_type'    => 'image',
                                    'orderby'           => 'date',
                                    'order'             => 'ASC'
                                ) );
                                 
                                 if(  !empty( $spyropress_attachments ) && sizeof( $spyropress_attachments ) > 1 )://post type gallery
                                    echo '<ul class="gallery-list">';
                                        foreach( $spyropress_attachments as $spyropress_attachment ) {
                                            $spyropress_id = $spyropress_attachment->ID;
                                            get_image( array( 'attachment' => $spyropress_id, 'class' => 'img-responsive', 'before' => '<li>', 'after' => '</li>'));
                                        }
                                    echo '</ul>';
                                    
                                
                                elseif( has_post_format( 'video' ) )://post type video
                                    $spyropress_video = get_post_meta( get_the_ID(), '_format_video_embed', true );
                                    echo str_replace( 'width="356"', 'width="100%"', wp_oembed_get( $spyropress_video, array( 'height' => '343' ) ) );   
                                
                                elseif( has_post_format( 'audio' ) )://post type audio
                                    $spyropress_audio = get_post_meta( get_the_ID(), '_format_audio_embed', true );
                                    echo str_replace( 'width="726"', 'width="100%"', wp_oembed_get( $spyropress_audio, array( 'height' => '166' ) ) );

                                else://post type standar, image etc....
                                    get_image( array( 'class' => 'img-responsive' ) );
                                endif;
                                ?>
                                
                				<div class="bottom-space-30"></div>
                                <div class="clearfix"></div>
                                    <?php the_content(); //post content. ?>
                			    <div class="bottom-space-30"></div>
				                <div class="clearfix"></div>
                                
                                <?php
                                 //Single Navigation Link.
    	                         $spyropress_defaults = array(
    	                    	    'before'           => '<div class="page-nav"><ul><li>',
    	                            'after'            => '</li></ul></div><div class="bottom-space-30"></div><div class="clearfix"></div>',
    	                            'link_before'      => '<span>',
    	                            'link_after'       => '</span>',
    	                            'next_or_number'   => 'number',
    	                            'separator'        => '</li><li>',
    	                            'nextpagelink'     => esc_html__( 'Next page', 'heartify' ),
    	                            'previouspagelink' => esc_html__( 'Previous page', 'heartify' ),
    	                            'pagelink'         => '%',
    	                            'echo'             => 1
    	                            
    	                    	 );
    	                        
    	                         wp_link_pages( $spyropress_defaults );
                                 
                                 //post tags
                                 the_tags( '<ul class="tags-list clearfix"><li>', '</li><li>', '</li></ul>' );
                                    
        				        if( get_setting( 'meta_authorbox' ) ){
                                   spyropress_authorbox(); //get post author.
                                }
                                spyropress_related_post(); //get related post items.
                               
                            spyropress_after_post();
                        
                        endwhile;
                
                    else:
                        echo '<h5>'. esc_html__( 'Sorry, no posts matched your criteria.', 'heartify' ) .'</h5>';
                    endif;        
                ?>
                </article>
                <?php comments_template( '', true ); ?>
            </div>
            
            <?php if( 'right' == $spyropress_position ) { ?>
                <!-- sidebar postion right-->
                <?php if( is_active_sidebar( 'primary' ) ): ?>
    	           <aside class="col-md-3">
    	              <?php dynamic_sidebar( 'primary' ); ?>
    	           </aside>
                <?php endif; ?>
            <?php } ?>
            </div>
        </div>
    </div>

<?php 
    spyropress_after_main_container(); 
 get_footer(); 