<?php
	//Get header version value from URL / PAGE OPTION / THEME OPTION.
    $spyropress_options = get_post_meta( get_the_ID(), '_page_options', true );
    //check.
    if( isset( $spyropress_options ['breadcrumb'] ) || get_setting('breadcrumb', false) ){
    	return;
    }        
?>
<div class="page-head">
	<div class="container">
		<div class="col-md-9">
			<h4>
                <?php
                    //Translation Theme Option
                    $spyropress_translate['blog-title'] = get_setting( 'translate' ) ? get_setting( 'blog-title', '<span>Our</span> Blog' ) : wp_kses( '<span>Our</span> Blog', array( 'span' => array() ) );
                    $spyropress_translate['cat-title'] = get_setting( 'translate' ) ? get_setting( 'cat-title', '<span>Category:</span> %s' ) : wp_kses( '<span>Category:</span> %s', array( 'span' => array( ) ) );
                    $spyropress_translate['tag-title'] = get_setting( 'translate' ) ? get_setting( 'tag-title', '<span>Tag:</span> %s' ) : wp_kses( '<span>Tag:</span> %s', array( 'span' => array( ) ) );
                    $spyropress_translate['day-title'] = get_setting( 'translate' ) ? get_setting( 'day-title', '<span>Daily:</span> %s' ) : wp_kses( '<span>Daily:</span> %s', array( 'span' => array( ) ) );
                    $spyropress_translate['month-title'] = get_setting( 'translate' ) ? get_setting( 'month-title', '<span>Monthly:</span> %s' ) : wp_kses( '<span>Monthly:</span> %s', array( 'span' => array( ) ) );
                    $spyropress_translate['year-title'] = get_setting( 'translate' ) ? get_setting( 'year-title', '<span>Yearly:</span> %s' ) : wp_kses( '<span>Yearly:</span> %s', array( 'span' => array( ) ) );
                    $spyropress_translate['archive-title'] = get_setting( 'translate' ) ? get_setting( 'archive-title', 'Archives' ) : esc_html__( 'Archives', 'heartify' );
                    
                    if( is_home() || is_single() ) :
                        echo wp_kses( $spyropress_translate['blog-title'], array( 'span' => array( ) ) );
                    elseif ( is_category() ) :
                    	printf( wp_kses( $spyropress_translate['cat-title'], array( 'span' => array( ) ) ), single_cat_title( '', false ) );
                    elseif ( is_tag() ) :
                    	printf( wp_kses( $spyropress_translate['tag-title'], array( 'span' => array( ) ) ), single_tag_title( '', false ) );
                    elseif ( is_day() ) :
                    	printf( wp_kses( $spyropress_translate['day-title'], array( 'span' => array( ) ) ), get_the_date() );
                    elseif ( is_month() ) :
                    	printf( wp_kses( $spyropress_translate['month-title'], array( 'span' => array( ) ) ), get_the_date( _x( 'F Y', 'monthly archives date format', 'heartify' ) ) );
                    elseif ( is_year() ) :
                    	printf( wp_kses( $spyropress_translate['year-title'], array( 'span' => array( ) ) ), get_the_date( _x( 'Y', 'yearly archives date format', 'heartify' ) ) );
                    else :
                    	print get_the_title( get_queried_object_id() );
                    endif;
                ?>
            </h4>
		</div>
		<div class="col-md-3">
			<?php get_template_part( 'templates/searchform' ); ?>
		</div>
	</div>
</div>